Get L2 Network Extension
Retrieves detailed configuration and operational status for a specific Layer 2 network extension identified by its extensionId (also known as stretchId). This API provides comprehensive information about a single extended network including all configuration parameters, operational state, health metrics, appliance assignments, and feature settings. Use this endpoint to monitor the status of a specific extension or retrieve its configuration for troubleshooting purposes.
Unique identifier of the network extension (stretch ID).
OK
{
"edgeId": "string",
"vlanId": "string",
"gateway": "string",
"netmask": "string",
"networkId": "string",
"stretchId": "string",
"applianceId": "string",
"networkName": "string",
"networkType": "string",
"dvsId": "string",
"dvsName": "string",
"applianceType": "string",
"isDeleted": false,
"cloudNetworkId": "string",
"cloudNetworkName": "string",
"clusterId": "string",
"endpointId": "string",
"resourceId": "string",
"creationDate": "string",
"endpointName": "string",
"endpointType": "string",
"resourceName": "string",
"resourceType": "string",
"source": {
"endpointId": "string",
"endpointType": "string",
"endpointName": "string",
"resourceId": "string",
"resourceType": "string",
"resourceName": "string"
},
"features": {
"proximityRouting": false,
"egressOptimization": false,
"mobilityOptimizedNetworking": false
},
"destination": {
"endpointId": "string",
"endpointType": "string",
"endpointName": "string",
"resourceId": "string",
"resourceType": "string",
"resourceName": "string"
},
"sourceNetwork": {
"networkId": "string",
"networkType": "string",
"networkName": "string",
"gatewayId": "string",
"accessMode": "string",
"gatewayName": "string",
"layer2Id": "string",
"isDistributedRouter": false,
"trunkMode": false,
"isNsxT": false,
"logicalSwitchId": "string",
"vcGuid": "string",
"dvsType": "string",
"transportZoneId": "string",
"transportZoneName": "string",
"transportZonePath": "string",
"transportZoneType": "string",
"resourceBackingDvpgId": "string",
"vdrMac": "string",
"dvsId": "string",
"dvsName": "string"
},
"operationStatus": {
"jobId": "string",
"state": "string",
"taskId": "string",
"message": "string",
"progress": "string",
"taskStatus": "string",
"statusMessage": "string"
},
"sourceAppliance": {
"applianceId": "string",
"applianceName": "string",
"applianceType": "string",
"clusterId": "string",
"haConfig": {
"haGroupId": "string",
"partnerApplianceId": "string",
"haGroupName": "string"
}
},
"destinationNetwork": {
"networkId": "string",
"networkType": "string",
"networkName": "string",
"gatewayId": "string",
"accessMode": "string",
"gatewayName": "string",
"layer2Id": "string",
"isDistributedRouter": false,
"trunkMode": false,
"isNsxT": false,
"logicalSwitchId": "string",
"vcGuid": "string",
"dvsType": "string",
"transportZoneId": "string",
"transportZoneName": "string",
"transportZonePath": "string",
"transportZoneType": "string",
"resourceBackingDvpgId": "string",
"vdrMac": "string",
"dvsId": "string",
"dvsName": "string"
},
"destinationAppliance": {
"applianceId": "string",
"applianceName": "string",
"applianceType": "string",
"clusterId": "string",
"haConfig": {
"haGroupId": "string",
"partnerApplianceId": "string",
"haGroupName": "string"
}
},
"vdrMacs": {
"vdrMACAddressUsedOnExtension": "string",
"currentVDRMACOnNSX": "string"
},
"code": "string",
"message": "string"
}
edgeId
vlanId
gateway
netmask
networkId
stretchId
applianceId
networkName
networkType
dvsId
dvsName
applianceType
isDeleted
cloudNetworkId
cloudNetworkName
clusterId
endpointId
resourceId
creationDate
endpointName
endpointType
resourceName
resourceType
source
features
destination
sourceNetwork
operationStatus
sourceAppliance
destinationNetwork
destinationAppliance
vdrMacs
code
message
Bad Request
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
errors
Unauthorized
Forbidden
Not Found
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
errors
Internal Server Error
"errorResponse Object"
errors
curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/l2NetworkExtensions/{extensionId}